package cn.org.bjca.trust.java.imserver.entitys;

import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntity;
import cn.org.bjca.trust.java.imserver.im.msg.msg.SZYXMessage;
import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.OneToOne;
import lombok.Data;

@Entity
@Data
public class Conversation extends AbstractBaseTimeEntity {
    private boolean isSender;
    private boolean isGroup;

    @OneToOne(cascade = CascadeType.ALL)
    @JoinColumn
    private SZYXMessage message;

    @OneToOne
    @JoinColumn
    private GroupEntity groupEntity;
    @OneToOne
    @JoinColumn
    private UserInfo userInfo;
}
